<div class="form-container">
    <form [formGroup]="form">
        <nb-card accent="info" class="p-3">
            <div class="row">
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b> Name </b>
                        <input formControlName="name" type="text" nbInput fullWidth placeholder="Text field">
                        <div *ngIf="f.name.dirty && f.name.errors" class="mt-2">
                            <span class="caption danger-text" *ngIf="f.name.errors?.required"> Name is required! </span>
                            <span class="caption danger-text" *ngIf="f.name.errors?.minlength"> Name should be at least
                                {{ f.name.errors.minlength.requiredLength }} characters! </span>
                        </div>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <b> Acronym </b>
                        <input formControlName="acronym" type="text" nbInput fullWidth placeholder="Text field">
                    </div>
                </div>
                <div class="col-md-6 mt-3">
                    <div class="d-flex flex-column">
                        <b> Policy </b>
                        <nb-select fullWidth formControlName="policy" placeholder="Select a Policy">
                            <nb-option *ngFor="let policy of policies" [value]="policy.id">
                                {{ policy.name }}
                            </nb-option>
                        </nb-select>
                        <div *ngIf="f.policy.touched && f.policy.errors" class="mt-2">
                            <span class="caption danger-text" *ngIf="f.university.errors?.required"> Please select a Policy! </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="mt-3 d-flex justify-content-between">
                <button nbButton status="danger" (click)="goBack()">{{ "POLICY.BUTTONS.CANCEL" | translate }}</button>
                <button *ngIf="addMode" [disabled]="isDisabled()" nbButton status="primary"
                    (click)="addUniversity()">{{ "POLICY.BUTTONS.ADD_FUNDING" | translate }}</button>
                <button *ngIf="!addMode" [disabled]="isDisabled()" nbButton status="primary">Update University</button>
            </div>
        </nb-card>
    </form>
</div>